
using System;
using System.Web.UI;
using System.Web.Routing;
using System.Data.SqlClient;
using System.Data;
using System.Xml.Linq;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


using DotNetNuke;
using DotNetNuke.Entities.Modules;
using DotNetNuke.Services.Exceptions;
using DotNetNuke.Services.Localization;
using System.Web.UI.WebControls;
using DotNetNuke.Web.UI.WebControls;
using System.IO;
using System.Xml;
using DotNetNuke.Services.Installer.Log;
using System.Web.UI.WebControls.WebParts;
using System.Web;
using DotNetNuke.Entities.Tabs;

namespace DesktopModules.Admin.HDWPlayer
{
    partial class Settings : ModuleSettingsBase
    {
      
        public override void LoadSettings()
        {
            GridView3.DataBind();
            if (!IsPostBack)
            {
                SetDefaultView();
                GridView1.DataBind();
            }
         

           /* SqlConnection myConn1 = new SqlConnection();
            myConn1.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
            myConn1.Open();
            string strqry1 = "Update MyPlayer SET Publish ='UnPublished'";
            SqlCommand myCom1 = new SqlCommand(strqry1, myConn1);
            int numrow1 = myCom1.ExecuteNonQuery();
            myConn1.Close();
            GridView1.DataBind();*/

            SqlDataSource2.UpdateCommand = "Update MyPlayer SET Publish ='UnPublished'";
            SqlDataSource2.Update();
            GridView1.DataBind();

            SqlDataSource3.UpdateCommand = "UPDATE [MyCategory] SET [Publish] = @Publish";
            SqlDataSource3.UpdateParameters["Publish"].DefaultValue = "UnPublished";
            SqlDataSource3.Update();
            GridView2.DataBind();

            var paneName = ModuleContext.Configuration.TabModuleID;
            if (File.Exists(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml")))
            {
                foreach (GridViewRow row in GridView1.Rows)
                {
                    XmlDocument xdoc = new XmlDocument();
                    xdoc.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml"));
                    XmlNodeList nodes = xdoc.SelectNodes("/playlist/media");
                    foreach (XmlNode node in nodes)
                    {
                        if (node["video"].InnerText == row.Cells[4].Text)
                        {
                            var x = row.Cells[4].Text;
                            SqlDataSource2.UpdateCommand = "UPDATE [MyPlayer] SET [Publish] = @Publish WHERE [VideoURL] LIKE '" + x + "'";
                            SqlDataSource2.UpdateParameters["Publish"].DefaultValue = "Published";
                            SqlDataSource2.Update();
                            GridView1.DataBind();
                        }

                    }
                }
                foreach (GridViewRow rowg in GridView2.Rows)
                {
                    XmlDocument xdocg = new XmlDocument();
                    xdocg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml"));
                    XmlNodeList nodese = xdocg.SelectNodes("/playlist/media");
                    foreach (XmlNode nodeq in nodese)
                    {
                       
                        if (nodeq["ex"].InnerText == rowg.Cells[2].Text)
                        {
                            var y = rowg.Cells[2].Text;
                         /*   SqlConnection myConn = new SqlConnection();
                            myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                            myConn.Open();
                            string strqry = "Update MyCategory SET Publish ='Published' WHERE Category LIKE '"+y+"'";
                            SqlCommand myCom = new SqlCommand(strqry, myConn);
                            int numrow = myCom.ExecuteNonQuery();
                            myConn.Close();*/

                            SqlDataSource3.UpdateCommand = "Update MyCategory SET Publish ='Published' WHERE Category LIKE '" + y + "'";
                            SqlDataSource3.Update();
                            GridView2.DataBind();
                        }
                    }
                }
                XmlDocument xdocw = new XmlDocument();
                xdocw.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                XmlNodeList xnList = xdocw.SelectNodes("/skin/controlbar");
                foreach (XmlNode xn in xnList)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    {
                        ck_controlbar.Checked = true;
                    }
                    else
                    {
                        ck_controlbar.Checked = false;
                    }
                }
                XmlNodeList xnList1 = xdocw.SelectNodes("/skin/playpause");
                foreach (XmlNode xn in xnList1)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_playpause.Checked = true; }
                    else { ck_playpause.Checked = false; }

                }
                XmlNodeList xnList2 = xdocw.SelectNodes("/skin/progressbar");
                foreach (XmlNode xn in xnList2)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_progresss.Checked = true; }
                    else { ck_progresss.Checked = false; }

                }
                XmlNodeList xnList3 = xdocw.SelectNodes("/skin/timer");
                foreach (XmlNode xn in xnList3)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_timer.Checked = true; }
                    else { ck_timer.Checked = false; }
                }
                XmlNodeList xnList4 = xdocw.SelectNodes("/skin/share");
                foreach (XmlNode xn in xnList4)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_share.Checked = true; }
                    else { ck_share.Checked = false; }
                }
                XmlNodeList xnList5 = xdocw.SelectNodes("/skin/volume");
                foreach (XmlNode xn in xnList5)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_volume.Checked = true; }
                    else { ck_volume.Checked = false; }
                }
                XmlNodeList xnList6 = xdocw.SelectNodes("/skin/fullscreen");
                foreach (XmlNode xn in xnList6)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_fullscreen.Checked = true; }
                    else { ck_fullscreen.Checked = false; }
                }
                XmlNodeList xnList7 = xdocw.SelectNodes("/skin/playdock");
                foreach (XmlNode xn in xnList7)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_playdock.Checked = true; }
                    else { ck_playdock.Checked = false; }
                }
                XmlNodeList xnList8 = xdocw.SelectNodes("/skin/videogallery");
                foreach (XmlNode xn in xnList8)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    if (eNode.InnerText == "true")
                    { ck_playlist.Checked = true; }
                    else { ck_playlist.Checked = false; }
                }


            }

            btn_update.Visible = false;
            new_cate.Visible = false;
            you_video.Visible = false;
            onl_video.Visible = false;
            btn_cancel.Visible = false;
            upload_video.Visible = false;
            btn_save.Visible = false;
            thumbs.Visible = false;
            preview.Visible = false;
            s_dvr.Visible = false;
            s_token.Visible = false;
            s_streamer.Visible = false;
            s_hd.Visible = false;

            you_video.Visible = false;
            onl_video.Visible = false;
            dmv_video.Visible = false;
            rtm_video.Visible = false;
            smil_video.Visible = false;
            lig_video.Visible = false;
            bit_video.Visible = false;
            try
            {
                if (Page.IsPostBack == false)
                {
                    if (Settings.ContainsKey("Width"))
                    { width_txt.Text = Settings["Width"].ToString(); }

                    if (Settings.ContainsKey("Height"))
                    { height_txt.Text = Settings["Height"].ToString(); }

                    if (Settings.ContainsKey("buffer"))
                    { txt_buffer.Text = Settings["buffer"].ToString(); }

                    if (Settings.ContainsKey("volume"))
                    { txt_volume.Text = Settings["volume"].ToString(); }

                    if (Settings.ContainsKey("playlis"))
                    {
                        if (Settings["playlis"].ToString() == "true")
                        { ck_pl.Checked = true; }
                        else { ck_pl.Checked = false; }
                    }

                    if (Settings.ContainsKey("playlap"))
                    {
                        if (Settings["playlap"].ToString() == "true")
                        { ck_plap.Checked = true; }
                        else { ck_plap.Checked = false; }
                    }

                    if (Settings.ContainsKey("playlobd"))
                    {
                        if (Settings["playlobd"].ToString() == "true")
                        { ck_plobd.Checked = true; }
                        else { ck_plobd.Checked = false; }
                    }

                    if (Settings.ContainsKey("randompl"))
                    {
                        if (Settings["randompl"].ToString() == "true")
                        { ck_rpl.Checked = true; }
                        else { ck_rpl.Checked = false; }
                    }

                    if (Settings.ContainsKey("skinmode"))
                    {
                        if (Settings["skinmode"].ToString() == "float")
                        { comb_skinmode.Select("float", true); }
                        else if (Settings["skinmode"].ToString() == "static") { comb_skinmode.Select("static", true); }
                    }

                    if (Settings.ContainsKey("stretch"))
                    {
                        if (Settings["stretch"].ToString() == "fill") { comb_stretch.Select("Fill", true); }
                        else if (Settings["stretch"].ToString() == "uniform") { comb_stretch.Select("Uniform", true); }
                        else if (Settings["stretch"].ToString() == "original") { comb_stretch.Select("Original", true); }
                        else if (Settings["stretch"].ToString() == "exactfit") { comb_stretch.Select("ExactFit", true); }
                    }

                    if (Settings.ContainsKey("autoplay"))
                    {
                        if (Settings["autoplay"].ToString() == "true")
                        { ck_autostart.Checked = true; }
                        else { ck_autostart.Checked = false; }
                    }
                    
                    if (Settings.ContainsKey("gallery"))
                    {
                        if (Settings["gallery"].ToString() == "true")
                        { ck_gallery.Checked = true; }
                        else { ck_gallery.Checked = false; }
                    }

                    if (Settings.ContainsKey("logo_text"))
                    { logo_txt.Text = Settings["logo_text"].ToString(); }

                    if (Settings.ContainsKey("logo_alpha"))
                    { txt_logoalpha.Text = Settings["logo_alpha"].ToString(); }

                    if (Settings.ContainsKey("logo_pos"))
                    {
                        if (Settings["logo_pos"].ToString() == "topleft") { comb_logoposition.Select("topleft", true); }
                        else if (Settings["logo_pos"].ToString() == "topright") { comb_logoposition.Select("topright", true); }
                        else if (Settings["logo_pos"].ToString() == "center") { comb_logoposition.Select("center", true); }
                        else if (Settings["logo_pos"].ToString() == "bottomleft") { comb_logoposition.Select("bottomleft", true); }
                        else if (Settings["logo_pos"].ToString() == "bottomright") { comb_logoposition.Select("bottomright", true); }
                    }

                    if (Settings.ContainsKey("licences"))
                    { licence_txt.Text = Settings["licences"].ToString(); }

                    if (Settings.ContainsKey("logotarget"))
                    { txt_logotarget.Text = Settings["logotarget"].ToString(); }                  
                }

            }
            catch (Exception exc) //Module failed to load
            {
                Exceptions.ProcessModuleLoadException(this, exc);
            }
        }
        public override void UpdateSettings()
        {
            
            var paneName = ModuleContext.Configuration.TabModuleID;
            XmlDocument xdocm = new XmlDocument();
            XmlNode Root1 = xdocm.AppendChild(xdocm.CreateElement("skin"));
            XmlNode Child1 = Root1.AppendChild(xdocm.CreateElement("controlbar"));
            XmlNode ChildAtt1 = Child1.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child2 = Root1.AppendChild(xdocm.CreateElement("playpause"));
            XmlNode ChildAtt2 = Child2.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child3 = Root1.AppendChild(xdocm.CreateElement("progressbar"));
            XmlNode ChildAtt3 = Child3.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child4 = Root1.AppendChild(xdocm.CreateElement("timer"));
            XmlNode ChildAtt4 = Child4.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child5 = Root1.AppendChild(xdocm.CreateElement("share"));
            XmlNode ChildAtt5 = Child5.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child6 = Root1.AppendChild(xdocm.CreateElement("volume"));
            XmlNode ChildAtt6 = Child6.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child7 = Root1.AppendChild(xdocm.CreateElement("fullscreen"));
            XmlNode ChildAtt7 = Child7.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child8 = Root1.AppendChild(xdocm.CreateElement("playdock"));
            XmlNode ChildAtt8 = Child8.AppendChild(xdocm.CreateElement("display"));

            XmlNode Child9 = Root1.AppendChild(xdocm.CreateElement("videogallery"));
            XmlNode ChildAtt9 = Child9.AppendChild(xdocm.CreateElement("display"));

            xdocm.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));


            XmlDocument xdocoo = new XmlDocument();
            XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
            xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml"));


            foreach (GridViewRow row in GridView1.Rows)
            {
                if (row.Cells[6].Text == "Published")
                {
                    XmlDocument xdocgg = new XmlDocument();
                    xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml"));
                    foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                    {
                        XmlElement newElement = xdocgg.CreateElement("media");
                        XmlElement a = xdocgg.CreateElement("type");
                        a.InnerText = row.Cells[3].Text;
                        newElement.AppendChild(a);
                        XmlElement b = xdocgg.CreateElement("video");
                        b.InnerText = row.Cells[4].Text;
                        newElement.AppendChild(b);
                        XmlElement c = xdocgg.CreateElement("title");
                        c.InnerText = row.Cells[2].Text;
                        newElement.AppendChild(c);
                        XmlElement d = xdocgg.CreateElement("thumb");
                        d.InnerText = row.Cells[9].Text;
                        newElement.AppendChild(d);
                        XmlElement f = xdocgg.CreateElement("preview");
                        f.InnerText = row.Cells[10].Text;
                        newElement.AppendChild(f);
                        xNode.AppendChild(newElement);
                        XmlElement g = xdocgg.CreateElement("hd");
                        g.InnerText = row.Cells[11].Text;
                        newElement.AppendChild(g);
                        xNode.AppendChild(newElement);
                        XmlElement h = xdocgg.CreateElement("streamer");
                        h.InnerText = row.Cells[12].Text;
                        newElement.AppendChild(h);
                        xNode.AppendChild(newElement);
                        XmlElement i = xdocgg.CreateElement("token");
                        i.InnerText = row.Cells[13].Text;
                        newElement.AppendChild(i);
                        xNode.AppendChild(newElement);
                        XmlElement j = xdocgg.CreateElement("dvr");
                        j.InnerText = row.Cells[14].Text;
                        newElement.AppendChild(j);
                        xNode.AppendChild(newElement);
                        XmlElement k = xdocgg.CreateElement("ex");
                        k.InnerText = row.Cells[5].Text;
                        newElement.AppendChild(k);
                        xNode.AppendChild(newElement);
                        xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml"));
                    }
                }
                if (row.Cells[6].Text == "UnPublished")
                {
                    while (true)
                    {
                        bool removed = false;
                        XmlDocument xdocyy = new XmlDocument();
                        xdocyy.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml"));
                        XmlNodeList nodes = xdocyy.SelectNodes("/playlist/media");
                        foreach (XmlNode node in nodes)
                        {
                            if (node["video"].InnerText == row.Cells[4].Text)
                            {
                                node.ParentNode.RemoveChild(node);
                                removed = true;
                                break;
                            }
                        }
                        xdocyy.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml"));
                        if (!removed)
                            break;
                    }
                }
            }

            var str_controlbar = String.Empty;
            if (ck_controlbar.Checked == true)
            {
                str_controlbar = "true";

            }
            else
            {
                str_controlbar = "false";

            }
            var str_playpause = String.Empty;
            if (ck_playpause.Checked == true)
            {
                str_playpause = "true";

            }
            else
            {
                str_playpause = "false";


            }
            var str_progressbar = String.Empty;
            if (ck_progresss.Checked == true)
            {
                str_progressbar = "true";
            }
            else
            {
                str_progressbar = "false";

            }
            var str_timer = String.Empty;
            if (ck_timer.Checked == true)
            {
                str_timer = "true";
            }
            else
            {
                str_timer = "false";

            }
            var str_share = String.Empty;
            if (ck_share.Checked == true)
            {
                str_share = "true";
            }
            else
            {
                str_share = "false";

            }
            var str_volume = String.Empty;
            if (ck_volume.Checked == true)
            {
                str_volume = "true";
            }
            else
            {
                str_volume = "false";

            }
            var str_fullscreen = String.Empty;
            if (ck_fullscreen.Checked == true)
            {
                str_fullscreen = "true";
            }
            else
            {
                str_fullscreen = "false";

            }
            var str_playdock = String.Empty;
            if (ck_playdock.Checked == true)
            {
                str_playdock = "true";
            }
            else
            {
                str_playdock = "false";

            }
            var str_playlist = String.Empty;
            if (ck_playlist.Checked == true)
            {
                str_playlist = "true";
            }
            else
            {
                str_playlist = "false";

            }
            var str_autoplay = String.Empty;
            if (ck_autostart.Checked == true)
            {
                str_autoplay = "true";
            }
            else
            {
                str_autoplay = "false";

            }

            try
            {

                var logotext = string.Empty;
                logotext = logo_txt.Text;
                var logoalp = string.Empty;
                var logopos = string.Empty;
                var wdth = string.Empty;
                var hei = string.Empty;
                wdth = width_txt.Text;
                hei = height_txt.Text;

                logoalp = txt_logoalpha.Text;
                var logoposs = comb_logoposition.SelectedValue;
                if (logoposs.Equals("topleft"))
                { logopos = "topleft"; }
                else if (logoposs.Equals("topright"))
                { logopos = "topright"; }
                else if (logoposs.Equals("center"))
                { logopos = "center"; }
                else if (logoposs.Equals("bottomleft"))
                { logopos = "bottomleft"; }
                else if (logoposs.Equals("bottomright"))
                { logopos = "bottomright"; }
                var skinp = string.Empty;
                var stretchp = string.Empty;
                var stretchm = comb_stretch.SelectedValue;
                var skinm = comb_skinmode.SelectedValue;
                if (skinm.Equals("float"))
                {

                    skinp = "float";
                }
                else if (skinm.Equals("static"))
                {
                    skinp = "static";
                }
                if (stretchm.Equals("fill"))
                {
                    stretchp = "fill";
                }
                else if (stretchm.Equals("uniform"))
                {
                    stretchp = "uniform";
                }
                else if (stretchm.Equals("original"))
                {
                    stretchp = "original";
                }
                else if (stretchm.Equals("exactfit"))
                {
                    stretchp = "exactfit";
                }
                var buffertime = string.Empty;
                var volumelevel = string.Empty;
                buffertime = txt_buffer.Text;
                volumelevel = txt_volume.Text;
                var pls = string.Empty;
                if (ck_pl.Checked == true)
                { pls = "true"; }
                else
                { pls = "false"; }
                var plaps = string.Empty;
                if (ck_plap.Checked == true)
                { plaps = "true"; }
                else
                { plaps = "false"; }
                var plobds = string.Empty;
                if (ck_plobd.Checked == true)
                { plobds = "true"; }
                else
                { plobds = "false"; }
                var rpls = string.Empty;
                if (ck_rpl.Checked == true)
                { rpls = "true"; }
                else
                { rpls = "false"; }

                var gallery = string.Empty;
                if (ck_gallery.Checked == true)
                { gallery = "true"; }
                else
                { gallery = "false"; }


                XmlDocument xdoc = new XmlDocument();
                xdoc.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                XmlNodeList xnList = xdoc.SelectNodes("/skin/controlbar");
                foreach (XmlNode xn in xnList)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_controlbar;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList1 = xdoc.SelectNodes("/skin/playpause");
                foreach (XmlNode xn in xnList1)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_playpause;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList2 = xdoc.SelectNodes("/skin/progressbar");
                foreach (XmlNode xn in xnList2)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_progressbar;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList3 = xdoc.SelectNodes("/skin/timer");
                foreach (XmlNode xn in xnList3)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_timer;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList4 = xdoc.SelectNodes("/skin/share");
                foreach (XmlNode xn in xnList4)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_share;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList5 = xdoc.SelectNodes("/skin/volume");
                foreach (XmlNode xn in xnList5)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_volume;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList6 = xdoc.SelectNodes("/skin/fullscreen");
                foreach (XmlNode xn in xnList6)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_fullscreen;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList7 = xdoc.SelectNodes("/skin/playdock");
                foreach (XmlNode xn in xnList7)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_playdock;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }
                XmlNodeList xnList8 = xdoc.SelectNodes("/skin/videogallery");
                foreach (XmlNode xn in xnList8)
                {
                    XmlNode eNode = xn.SelectSingleNode("display");
                    eNode.InnerText = str_playlist;
                    xdoc.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml"));
                }


                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                var nurl = abc + "/DesktopModules/Admin/HDWPlayer/xml/skin" + paneName + ".xml";
                var murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml";


                var licence = string.Empty;
                licence = licence_txt.Text;

                var logotar = string.Empty;
                logotar = txt_logotarget.Text;

                var moduleController = new ModuleController();
                moduleController.UpdateModuleSetting(ModuleId, "Width", wdth);
                moduleController.UpdateModuleSetting(ModuleId, "Height", hei);
                moduleController.UpdateModuleSetting(ModuleId, "skinmode", skinp);
                moduleController.UpdateModuleSetting(ModuleId, "stretch", stretchp);
                moduleController.UpdateModuleSetting(ModuleId, "buffer", buffertime);
                moduleController.UpdateModuleSetting(ModuleId, "volume", volumelevel);
                moduleController.UpdateModuleSetting(ModuleId, "playlis", pls);
                moduleController.UpdateModuleSetting(ModuleId, "playlap", plaps);
                moduleController.UpdateModuleSetting(ModuleId, "playlobd", plobds);
                moduleController.UpdateModuleSetting(ModuleId, "randompl", rpls);
                moduleController.UpdateModuleSetting(ModuleId, "autoplay", str_autoplay);
                moduleController.UpdateModuleSetting(ModuleId, "logo_text", logotext);
                moduleController.UpdateModuleSetting(ModuleId, "logo_pos", logopos);
                moduleController.UpdateModuleSetting(ModuleId, "logo_alpha", logoalp);
                moduleController.UpdateModuleSetting(ModuleId, "licences", licence);
                moduleController.UpdateModuleSetting(ModuleId, "logotarget", logotar);
                moduleController.UpdateModuleSetting(ModuleId, "skinfile", nurl);
                moduleController.UpdateModuleSetting(ModuleId, "playfile", murl);
                moduleController.UpdateModuleSetting(ModuleId, "gallery", gallery);


            }
            catch (Exception exc)
            {
                Exceptions.ProcessModuleLoadException(this, exc);
            }

        }
        protected void reset_Click(object sender, EventArgs e)
        {
            string x = "";
            SqlDataSource2.SelectCommand = "SELECT * FROM [MyPlayer] WHERE [Title] LIKE '%" + x + "%'";
            SqlDataSource2.DataBind();
            txt_search1.Text = "";
        }
        protected void selectall(object sender, EventArgs e)
        {
            CheckBox checkAll = (CheckBox)GridView1.HeaderRow.FindControl("checkAll");
            if (checkAll.Checked == true)
            {
                foreach (GridViewRow row in GridView1.Rows)
                {
                    CheckBox chkDelete = (CheckBox)row.FindControl("chkDelete");
                    chkDelete.Checked = true;

                }
            }
            else
            {
                foreach (GridViewRow row in GridView1.Rows)
                {
                    CheckBox chkDelete = (CheckBox)row.FindControl("chkDelete");
                    chkDelete.Checked = false;

                }
            }
        }
        protected void go_Click(object sender, EventArgs e)
        {
            string x = txt_search1.Text;
            string sear = search_item.SelectedValue.ToString();
            SqlDataSource2.SelectCommand = "SELECT * FROM [MyPlayer] WHERE ["+sear+"] LIKE '%" + x + "%'";
            SqlDataSource2.DataBind();
        }
        protected void Video_Save_Click(object sender, EventArgs e)
        {
            if ((FileUpload2.PostedFile != null || txt_youtube.Text != "" || txt_online.Text != "" || txt_dailymotion.Text != "" || txt_rtmp.Text != "" || txt_smil.Text != "" || txt_lightpd.Text != "" || txt_bitgvideo.Text != "") && txt_title.Text != "")
            {
                err_label.Text = "";
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                var feat = String.Empty;
                var pub = String.Empty;
                var thum = String.Empty;
                var prev = String.Empty;
                var hd = String.Empty;
                var streamer = String.Empty;
                var token = String.Empty;
                var dvr = String.Empty;
                var videourl = String.Empty;
                var title = txt_title.Text;
                var Videotype = comb_vtype.SelectedValue;
                var vtype = String.Empty;
                if (Videotype.Equals("pcvideos"))
                {
                    var fn = string.Empty;
                    var SaveLocation = string.Empty;
                    var fn1 = string.Empty;
                    var SaveLocation1 = string.Empty;
                    if ((FileUpload2.PostedFile != null) && (FileUpload2.PostedFile.ContentLength > 0))
                    {
                        fn = System.IO.Path.GetFileName(FileUpload2.PostedFile.FileName);
                        SaveLocation = Server.MapPath("~/DesktopModules/Admin/HDWPlayer/Video") + "\\" + fn;
                        try
                        {
                            FileUpload2.PostedFile.SaveAs(SaveLocation);


                        }
                        catch (Exception ex)
                        {

                        }
                    }
                    if ((FileUpload1.PostedFile != null) && (FileUpload1.PostedFile.ContentLength > 0))
                    {
                        fn1 = System.IO.Path.GetFileName(FileUpload1.PostedFile.FileName);
                        SaveLocation1 = Server.MapPath("~/DesktopModules/Admin/HDWPlayer/Image") + "\\" + fn1;
                        try
                        {
                            FileUpload1.PostedFile.SaveAs(SaveLocation1);
                        }
                        catch (Exception ex)
                        {

                        }
                    }
                    videourl = abc + "DesktopModules\\Admin\\HDWPlayer\\Video\\" + fn;
                    vtype = "video";
                    thum = abc + "DesktopModules\\Admin\\HDWPlayer\\Image\\" + fn1;
                    prev = abc + "DesktopModules\\Admin\\HDWPlayer\\Image\\" + fn1;
                    hd = string.Empty;
                    dvr = string.Empty;
                    streamer = string.Empty;
                    token = string.Empty;
                }
                else if (Videotype.Equals("youtube"))
                {
                    videourl = txt_youtube.Text;
                    vtype = "youtube";
                    string a = txt_youtube.Text;
                    a = a.Substring(a.Length - 11);
                    thum = "http://img.youtube.com/vi/" + a + "/0.jpg";
                    prev = "http://img.youtube.com/vi/" + a + "/0.jpg";
                    hd = string.Empty;
                    dvr = string.Empty;
                    streamer = string.Empty;
                    token = string.Empty;

                }
                else if (Videotype.Equals("videos"))
                {
                    videourl = txt_online.Text;
                    vtype = "video";
                    thum = txt_thumb.Text;
                    prev = txt_preview.Text;
                    hd = txt_hd.Text;
                    dvr = string.Empty;
                    streamer = string.Empty;
                    token = string.Empty;
                }
                else if (Videotype.Equals("dailymotion"))
                {
                    videourl = txt_dailymotion.Text;
                    vtype = "dailymotion";
                    string a = videourl.Replace("http://www.dailymotion.com/", "http://www.dailymotion.com/thumbnail/");
                    thum = a;
                    prev = a;
                    hd = string.Empty;
                    dvr = string.Empty;
                    streamer = string.Empty;
                    token = string.Empty;
                }
                else if (Videotype.Equals("RTMPStreams"))
                {
                    videourl = txt_rtmp.Text;
                    vtype = "rtmp";
                    thum = txt_thumb.Text;
                    prev = txt_preview.Text;
                    hd = string.Empty;
                    dvr = string.Empty;
                    streamer = txt_streamer.Text;
                    token = txt_token.Text;

                }
                else if (Videotype.Equals("SMIL"))
                {
                    videourl = txt_smil.Text;
                    vtype = "highwinds";
                    thum = txt_thumb.Text;
                    prev = txt_preview.Text;
                    hd = string.Empty;
                    dvr = string.Empty;
                    streamer = string.Empty;
                    token = string.Empty;
                }
                else if (Videotype.Equals("LighttpdVideos"))
                {
                    videourl = txt_lightpd.Text;
                    vtype = "lighttpd";
                    thum = txt_thumb.Text;
                    prev = txt_preview.Text;
                    hd = txt_hd.Text;
                    dvr = string.Empty;
                    streamer = string.Empty;
                    token = string.Empty;
                }
                else if (Videotype.Equals("BitGravityVideo"))
                {
                    videourl = txt_bitgvideo.Text;
                    vtype = "bitgravity";
                    thum = txt_thumb.Text;
                    prev = txt_preview.Text;
                    hd = txt_hd.Text;
                    if (ck_dvr.Checked == true) { dvr = "true"; } else { dvr = "false"; }
                    streamer = string.Empty;
                    token = string.Empty;
                }

                var videocate = comb_category.SelectedValue;
                if (chk_featured.Checked == true)
                {
                    feat = "Yes";
                }
                else
                {
                    feat = "No";
                }
                if (chk_publish.Checked == true)
                {
                    pub = "Published";
                }
                else
                {
                    pub = "UnPublished";
                }

                var description = txt_description.Text;
                var position = txt_position.Text;
                var users = String.Empty;
                var views = String.Empty;
                SqlDataSource2.InsertParameters["Title"].DefaultValue = title;
                SqlDataSource2.InsertParameters["VideoType"].DefaultValue = vtype;
                SqlDataSource2.InsertParameters["VideoList"].DefaultValue = Videotype;
                SqlDataSource2.InsertParameters["VideoURL"].DefaultValue = videourl;
                SqlDataSource2.InsertParameters["Category"].DefaultValue = videocate;
                SqlDataSource2.InsertParameters["Publish"].DefaultValue = pub;
                SqlDataSource2.InsertParameters["Description"].DefaultValue = description;
                SqlDataSource2.InsertParameters["users"].DefaultValue = "admin";
                SqlDataSource2.InsertParameters["thumb"].DefaultValue = thum;
                SqlDataSource2.InsertParameters["preview"].DefaultValue = prev;
                SqlDataSource2.InsertParameters["hd"].DefaultValue = hd;
                SqlDataSource2.InsertParameters["stream"].DefaultValue = streamer;
                SqlDataSource2.InsertParameters["token"].DefaultValue = token;
                SqlDataSource2.InsertParameters["dvr"].DefaultValue = dvr;
                SqlDataSource2.Insert();

                txt_title.Text = "";
                txt_youtube.Text = "";
                txt_online.Text = "";
                txt_rtmp.Text = "";
                txt_bitgvideo.Text = "";
                txt_lightpd.Text = "";
                txt_dailymotion.Text = "";
                txt_smil.Text = "";
                txt_description.Text = "";
                txt_preview.Text = "";
                txt_thumb.Text = "";
                txt_hd.Text = "";
                txt_streamer.Text = "";
                txt_token.Text = "";

                View_Table.Visible = true;
                upload_video.Visible = false;
                btn_upload.Visible = true;
                btn_delete.Visible = true;
                btn_publish.Visible = true;
                btn_save.Visible = false;
                btn_unpublish.Visible = true;
                btn_cancel.Visible = false;

            }
            else
            {
               
            }

        }   
        protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
        {        
                sino.Text = GridView1.Rows[e.RowIndex].Cells[16].Text;
                btn_cancel.Visible = true;
                btn_update.Visible = true;
                btn_upload.Visible = false;
                btn_delete.Visible = false;
                btn_publish.Visible = false;
                btn_save.Visible = false;
                btn_unpublish.Visible = false;
                View_Table.Visible = false;
                upload_video.Visible = true;
                txt_title.Text = GridView1.Rows[e.RowIndex].Cells[2].Text;
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "pcvideos")
                {
                    comb_vtype.Select("pcvideos", true);
                    pc_video.Visible = true;
                    pc_image.Visible = true;
                    you_video.Visible = false;
                    onl_video.Visible = false;
                    dmv_video.Visible = false;
                    rtm_video.Visible = false;
                    smil_video.Visible = false;
                    lig_video.Visible = false;
                    bit_video.Visible = false;
                    s_dvr.Visible = false;
                    s_token.Visible = false;
                    s_streamer.Visible = false;
                    s_hd.Visible = false;
                    thumbs.Visible = false;
                    preview.Visible = false;


                }
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "youtube")
                {
                    comb_vtype.Select("youtube", true);
                    pc_video.Visible = false;
                    pc_image.Visible = false;
                    you_video.Visible = true;
                    onl_video.Visible = false;
                    dmv_video.Visible = false;
                    rtm_video.Visible = false;
                    smil_video.Visible = false;
                    lig_video.Visible = false;
                    bit_video.Visible = false;
                    thumbs.Visible = false;
                    preview.Visible = false;
                    s_dvr.Visible = false;
                    s_token.Visible = false;
                    s_streamer.Visible = false;
                    s_hd.Visible = false;
                    txt_youtube.Text = GridView1.Rows[e.RowIndex].Cells[4].Text;
                }
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "videos")
                {
                    comb_vtype.Select("videos", true);
                    pc_video.Visible = false;
                    pc_image.Visible = false;
                    you_video.Visible = false;
                    onl_video.Visible = true;
                    dmv_video.Visible = false;
                    rtm_video.Visible = false;
                    smil_video.Visible = false;
                    lig_video.Visible = false;
                    bit_video.Visible = false;
                    thumbs.Visible = true;
                    preview.Visible = true;
                    s_dvr.Visible = false;
                    s_token.Visible = false;
                    s_streamer.Visible = false;
                    s_hd.Visible = true;
                    txt_thumb.Text = GridView1.Rows[e.RowIndex].Cells[9].Text;
                    txt_preview.Text = GridView1.Rows[e.RowIndex].Cells[10].Text;
                    if (GridView1.Rows[e.RowIndex].Cells[11].Text != "&nbsp;")
                    { txt_hd.Text = GridView1.Rows[e.RowIndex].Cells[11].Text; }
                    else { txt_hd.Text = ""; }

                    txt_streamer.Text = GridView1.Rows[e.RowIndex].Cells[12].Text;
                    txt_token.Text = GridView1.Rows[e.RowIndex].Cells[13].Text;
                    txt_online.Text = GridView1.Rows[e.RowIndex].Cells[4].Text;
                }
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "dailymotion")
                {
                    comb_vtype.Select("dailymotion", true);
                    pc_video.Visible = false;
                    pc_image.Visible = false;
                    you_video.Visible = false;
                    onl_video.Visible = false;
                    dmv_video.Visible = true;
                    rtm_video.Visible = false;
                    smil_video.Visible = false;
                    lig_video.Visible = false;
                    bit_video.Visible = false;
                    thumbs.Visible = false;
                    preview.Visible = false;
                    s_dvr.Visible = false;
                    s_token.Visible = false;
                    s_streamer.Visible = false;
                    s_hd.Visible = false;
                    txt_thumb.Text = GridView1.Rows[e.RowIndex].Cells[9].Text;
                    txt_preview.Text = GridView1.Rows[e.RowIndex].Cells[10].Text;
                    if (GridView1.Rows[e.RowIndex].Cells[11].Text != "&nbsp;")
                    { txt_hd.Text = GridView1.Rows[e.RowIndex].Cells[11].Text ; }
                    else { txt_hd.Text = ""; }
                    txt_streamer.Text = GridView1.Rows[e.RowIndex].Cells[12].Text;
                    txt_token.Text = GridView1.Rows[e.RowIndex].Cells[13].Text;
                    txt_dailymotion.Text = GridView1.Rows[e.RowIndex].Cells[4].Text;
                }
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "RTMPStreams")
                {
                    comb_vtype.Select("RTMPStreams", true);
                    pc_video.Visible = false;
                    pc_image.Visible = false;
                    you_video.Visible = false;
                    onl_video.Visible = false;
                    dmv_video.Visible = false;
                    rtm_video.Visible = true;
                    smil_video.Visible = false;
                    lig_video.Visible = false;
                    bit_video.Visible = false;
                    thumbs.Visible = true;
                    preview.Visible = true;
                    s_dvr.Visible = false;
                    s_token.Visible = true;
                    s_streamer.Visible = true;
                    s_hd.Visible = false;
                    txt_thumb.Text = GridView1.Rows[e.RowIndex].Cells[9].Text;
                    txt_preview.Text = GridView1.Rows[e.RowIndex].Cells[10].Text;
                    if (GridView1.Rows[e.RowIndex].Cells[11].Text != "&nbsp;")
                    { txt_hd.Text = GridView1.Rows[e.RowIndex].Cells[11].Text; }
                    else { txt_hd.Text = ""; }
                    txt_streamer.Text = GridView1.Rows[e.RowIndex].Cells[12].Text;
                    txt_token.Text = GridView1.Rows[e.RowIndex].Cells[13].Text;
                    txt_rtmp.Text = GridView1.Rows[e.RowIndex].Cells[4].Text;
                }
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "SMIL")
                {
                    comb_vtype.Select("SMIL", true);
                    pc_video.Visible = false;
                    pc_image.Visible = false;
                    you_video.Visible = false;
                    onl_video.Visible = false;
                    dmv_video.Visible = false;
                    rtm_video.Visible = false;
                    smil_video.Visible = true;
                    lig_video.Visible = false;
                    bit_video.Visible = false;
                    thumbs.Visible = true;
                    preview.Visible = true;
                    s_dvr.Visible = false;
                    s_token.Visible = false;
                    s_streamer.Visible = false;
                    s_hd.Visible = false;
                    txt_thumb.Text = GridView1.Rows[e.RowIndex].Cells[9].Text;
                    txt_preview.Text = GridView1.Rows[e.RowIndex].Cells[10].Text;
                    if (GridView1.Rows[e.RowIndex].Cells[11].Text != "&nbsp;")
                    { txt_hd.Text = GridView1.Rows[e.RowIndex].Cells[11].Text; }
                    else { txt_hd.Text = ""; }
                    txt_streamer.Text = GridView1.Rows[e.RowIndex].Cells[12].Text;
                    txt_token.Text = GridView1.Rows[e.RowIndex].Cells[13].Text;
                    txt_smil.Text = GridView1.Rows[e.RowIndex].Cells[4].Text;
                }
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "LighttpdVideos")
                {
                    comb_vtype.Select("LighttpdVideos", true);
                    pc_video.Visible = false;
                    pc_image.Visible = false;
                    you_video.Visible = false;
                    onl_video.Visible = false;
                    dmv_video.Visible = false;
                    rtm_video.Visible = false;
                    smil_video.Visible = false;
                    lig_video.Visible = true;
                    bit_video.Visible = false;
                    thumbs.Visible = true;
                    preview.Visible = true;
                    s_dvr.Visible = false;
                    s_token.Visible = false;
                    s_streamer.Visible = false;
                    s_hd.Visible = true;
                    txt_thumb.Text = GridView1.Rows[e.RowIndex].Cells[9].Text;
                    txt_preview.Text = GridView1.Rows[e.RowIndex].Cells[10].Text;
                    if (GridView1.Rows[e.RowIndex].Cells[11].Text != "&nbsp;")
                    { txt_hd.Text = GridView1.Rows[e.RowIndex].Cells[11].Text; }
                    else { txt_hd.Text = ""; }
                    txt_streamer.Text = GridView1.Rows[e.RowIndex].Cells[12].Text;
                    txt_token.Text = GridView1.Rows[e.RowIndex].Cells[13].Text;
                    txt_lightpd.Text = GridView1.Rows[e.RowIndex].Cells[4].Text;
                }
                if (GridView1.Rows[e.RowIndex].Cells[3].Text == "BitGravityVideo")
                {
                    comb_vtype.Select("BitGravityVideo", true);
                    pc_video.Visible = false;
                    pc_image.Visible = false;
                    you_video.Visible = false;
                    onl_video.Visible = false;
                    dmv_video.Visible = false;
                    rtm_video.Visible = false;
                    smil_video.Visible = false;
                    lig_video.Visible = false;
                    bit_video.Visible = true;
                    thumbs.Visible = true;
                    preview.Visible = true;
                    s_dvr.Visible = true;
                    s_token.Visible = false;
                    s_streamer.Visible = false;
                    s_hd.Visible = true;
                    txt_thumb.Text = GridView1.Rows[e.RowIndex].Cells[9].Text;
                    txt_preview.Text = GridView1.Rows[e.RowIndex].Cells[10].Text;
                    if (GridView1.Rows[e.RowIndex].Cells[11].Text != "&nbsp;")
                    { txt_hd.Text = GridView1.Rows[e.RowIndex].Cells[11].Text; }
                    else { txt_hd.Text = ""; }
                    txt_streamer.Text = GridView1.Rows[e.RowIndex].Cells[12].Text;
                    txt_token.Text = GridView1.Rows[e.RowIndex].Cells[13].Text;
                    txt_bitgvideo.Text = GridView1.Rows[e.RowIndex].Cells[4].Text;
                }
                txt_description.Text = GridView1.Rows[e.RowIndex].Cells[7].Text;          
        }
        protected void Uploads1_Click(object sender, EventArgs e)
        {
            comb_category.Items.Clear();
            comb_category.AddItem("Uncategorised", "Uncategorised");
            GridView2.DataBind();
            foreach (GridViewRow row in GridView2.Rows)
            {
                DnnComboBoxItem abc = new DotNetNuke.Web.UI.WebControls.DnnComboBoxItem();
                abc.Text = row.Cells[2].Text;
                abc.Value = row.Cells[2].Text;
                comb_category.Items.Add(abc);
            }
            foreach (GridViewRow row in GridView1.Rows)
            {
                CheckBox chkDelete = (CheckBox)row.FindControl("chkDelete");
                if (chkDelete.Checked)
                {
                    sino.Text = row.Cells[16].Text;
                    btn_cancel.Visible = true;
                    btn_update.Visible = true;
                    btn_upload.Visible = false;
                    btn_delete.Visible = false;
                    btn_publish.Visible = false;
                    btn_save.Visible = false;
                    btn_unpublish.Visible = false;
                    View_Table.Visible = false;
                    upload_video.Visible = true;
                    txt_title.Text = row.Cells[2].Text;
                    if (row.Cells[3].Text == "pcvideos")
                    {
                        comb_vtype.Select("pcvideos", true);
                        pc_video.Visible = true;
                        pc_image.Visible = true;
                        you_video.Visible = false;
                        onl_video.Visible = false;
                        dmv_video.Visible = false;
                        rtm_video.Visible = false;
                        smil_video.Visible = false;
                        lig_video.Visible = false;
                        bit_video.Visible = false;
                        s_dvr.Visible = false;
                        s_token.Visible = false;
                        s_streamer.Visible = false;
                        s_hd.Visible = false;
                        thumbs.Visible = false;
                        preview.Visible = false;


                    }
                    if (row.Cells[3].Text == "youtube")
                    {
                        comb_vtype.Select("youtube", true);
                        pc_video.Visible = false;
                        pc_image.Visible = false;
                        you_video.Visible = true;
                        onl_video.Visible = false;
                        dmv_video.Visible = false;
                        rtm_video.Visible = false;
                        smil_video.Visible = false;
                        lig_video.Visible = false;
                        bit_video.Visible = false;
                        thumbs.Visible = false;
                        preview.Visible = false;
                        s_dvr.Visible = false;
                        s_token.Visible = false;
                        s_streamer.Visible = false;
                        s_hd.Visible = false;
                        txt_youtube.Text = row.Cells[4].Text;
                    }
                    if (row.Cells[3].Text == "videos")
                    {
                        comb_vtype.Select("videos", true);
                        pc_video.Visible = false;
                        pc_image.Visible = false;
                        you_video.Visible = false;
                        onl_video.Visible = true;
                        dmv_video.Visible = false;
                        rtm_video.Visible = false;
                        smil_video.Visible = false;
                        lig_video.Visible = false;
                        bit_video.Visible = false;
                        thumbs.Visible = true;
                        preview.Visible = true;
                        s_dvr.Visible = false;
                        s_token.Visible = false;
                        s_streamer.Visible = false;
                        s_hd.Visible = true;
                        txt_thumb.Text = row.Cells[9].Text;
                        txt_preview.Text = row.Cells[10].Text;
                        if (row.Cells[11].Text != "&nbsp;")
                        { txt_hd.Text = row.Cells[11].Text; }
                        else { txt_hd.Text = ""; }

                        txt_streamer.Text = row.Cells[12].Text;
                        txt_token.Text = row.Cells[13].Text;
                        txt_online.Text = row.Cells[4].Text;
                    }
                    if (row.Cells[3].Text == "dailymotion")
                    {
                        comb_vtype.Select("dailymotion", true);
                        pc_video.Visible = false;
                        pc_image.Visible = false;
                        you_video.Visible = false;
                        onl_video.Visible = false;
                        dmv_video.Visible = true;
                        rtm_video.Visible = false;
                        smil_video.Visible = false;
                        lig_video.Visible = false;
                        bit_video.Visible = false;
                        thumbs.Visible = false;
                        preview.Visible = false;
                        s_dvr.Visible = false;
                        s_token.Visible = false;
                        s_streamer.Visible = false;
                        s_hd.Visible = false;
                        txt_thumb.Text = row.Cells[9].Text;
                        txt_preview.Text = row.Cells[10].Text;
                        if (row.Cells[11].Text != "&nbsp;")
                        { txt_hd.Text = row.Cells[11].Text; }
                        else { txt_hd.Text = ""; }
                        txt_streamer.Text = row.Cells[12].Text;
                        txt_token.Text = row.Cells[13].Text;
                        txt_dailymotion.Text = row.Cells[4].Text;
                    }
                    if (row.Cells[3].Text == "RTMPStreams")
                    {
                        comb_vtype.Select("RTMPStreams", true);
                        pc_video.Visible = false;
                        pc_image.Visible = false;
                        you_video.Visible = false;
                        onl_video.Visible = false;
                        dmv_video.Visible = false;
                        rtm_video.Visible = true;
                        smil_video.Visible = false;
                        lig_video.Visible = false;
                        bit_video.Visible = false;
                        thumbs.Visible = true;
                        preview.Visible = true;
                        s_dvr.Visible = false;
                        s_token.Visible = true;
                        s_streamer.Visible = true;
                        s_hd.Visible = false;
                        txt_thumb.Text = row.Cells[9].Text;
                        txt_preview.Text = row.Cells[10].Text;
                        if (row.Cells[11].Text != "&nbsp;")
                        { txt_hd.Text = row.Cells[11].Text; }
                        else { txt_hd.Text = ""; }
                        txt_streamer.Text = row.Cells[12].Text;
                        txt_token.Text = row.Cells[13].Text;
                        txt_rtmp.Text = row.Cells[4].Text;
                    }
                    if (row.Cells[3].Text == "SMIL")
                    {
                        comb_vtype.Select("SMIL", true);
                        pc_video.Visible = false;
                        pc_image.Visible = false;
                        you_video.Visible = false;
                        onl_video.Visible = false;
                        dmv_video.Visible = false;
                        rtm_video.Visible = false;
                        smil_video.Visible = true;
                        lig_video.Visible = false;
                        bit_video.Visible = false;
                        thumbs.Visible = true;
                        preview.Visible = true;
                        s_dvr.Visible = false;
                        s_token.Visible = false;
                        s_streamer.Visible = false;
                        s_hd.Visible = false;
                        txt_thumb.Text = row.Cells[9].Text;
                        txt_preview.Text = row.Cells[10].Text;
                        if (row.Cells[11].Text != "&nbsp;")
                        { txt_hd.Text = row.Cells[11].Text; }
                        else { txt_hd.Text = ""; }
                        txt_streamer.Text = row.Cells[12].Text;
                        txt_token.Text = row.Cells[13].Text;
                        txt_smil.Text = row.Cells[4].Text;
                    }
                    if (row.Cells[3].Text == "LighttpdVideos")
                    {
                        comb_vtype.Select("LighttpdVideos", true);
                        pc_video.Visible = false;
                        pc_image.Visible = false;
                        you_video.Visible = false;
                        onl_video.Visible = false;
                        dmv_video.Visible = false;
                        rtm_video.Visible = false;
                        smil_video.Visible = false;
                        lig_video.Visible = true;
                        bit_video.Visible = false;
                        thumbs.Visible = true;
                        preview.Visible = true;
                        s_dvr.Visible = false;
                        s_token.Visible = false;
                        s_streamer.Visible = false;
                        s_hd.Visible = true;
                        txt_thumb.Text = row.Cells[9].Text;
                        txt_preview.Text = row.Cells[10].Text;
                        if (row.Cells[11].Text != "&nbsp;")
                        { txt_hd.Text = row.Cells[11].Text; }
                        else { txt_hd.Text = ""; }
                        txt_streamer.Text = row.Cells[12].Text;
                        txt_token.Text = row.Cells[13].Text;
                        txt_lightpd.Text = row.Cells[4].Text;
                    }
                    if (row.Cells[3].Text == "BitGravityVideo")
                    {
                        comb_vtype.Select("BitGravityVideo", true);
                        pc_video.Visible = false;
                        pc_image.Visible = false;
                        you_video.Visible = false;
                        onl_video.Visible = false;
                        dmv_video.Visible = false;
                        rtm_video.Visible = false;
                        smil_video.Visible = false;
                        lig_video.Visible = false;
                        bit_video.Visible = true;
                        thumbs.Visible = true;
                        preview.Visible = true;
                        s_dvr.Visible = true;
                        s_token.Visible = false;
                        s_streamer.Visible = false;
                        s_hd.Visible = true;
                        txt_thumb.Text = row.Cells[9].Text;
                        txt_preview.Text = row.Cells[10].Text;
                        if (row.Cells[11].Text != "&nbsp;")
                        { txt_hd.Text = row.Cells[11].Text; }
                        else { txt_hd.Text = ""; }
                        txt_streamer.Text = row.Cells[12].Text;
                        txt_token.Text = row.Cells[13].Text;
                        txt_bitgvideo.Text = row.Cells[4].Text;
                    }
                    txt_description.Text = row.Cells[7].Text;

                }
                else
                {
                    
                }

            }

        }
        protected void Uploads_Click(object sender, EventArgs e)
        {
            comb_category.Items.Clear();
            comb_category.AddItem("Uncategorised", "Uncategorised");
            GridView2.DataBind();
            foreach (GridViewRow row in GridView2.Rows)
            {
                DnnComboBoxItem abc = new DotNetNuke.Web.UI.WebControls.DnnComboBoxItem();
                abc.Text = row.Cells[2].Text;
                abc.Value = row.Cells[2].Text;
                comb_category.Items.Add(abc);
            }
            View_Table.Visible = false;
            upload_video.Visible = true;
            btn_upload.Visible = false;
            btn_delete.Visible = false;
            btn_publish.Visible = false;
            btn_save.Visible = true;
            btn_unpublish.Visible = false;
            btn_cancel.Visible = true;
        }
        protected void Delete_Click(object sender, EventArgs e)
        {
            foreach (GridViewRow row in GridView1.Rows)
            {
                CheckBox chkDelete = (CheckBox)row.FindControl("chkDelete");
                if (chkDelete.Checked)
                {
                    var x = row.Cells[4].Text;
                  /*  SqlConnection myConn = new SqlConnection();
                    myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                    myConn.Open();
                    string strqry = "Delete from MyPlayer WHERE VideoURL LIKE '" + x + "'";
                    SqlCommand myCom = new SqlCommand(strqry, myConn);
                    int numrow = myCom.ExecuteNonQuery();
                    myConn.Close();*/

                    SqlDataSource2.DeleteCommand = "Delete from MyPlayer WHERE VideoURL LIKE '" + x + "'";
                    SqlDataSource2.Delete();

                    GridView1.DataBind();
                }
                else
                {

                }

            }
            View_Table.Visible = true;
            upload_video.Visible = false;
            btn_upload.Visible = true;
            btn_delete.Visible = true;
            btn_publish.Visible = true;
            btn_save.Visible = false;
            btn_unpublish.Visible = true;
        }
        protected void Save_Click(object sender, EventArgs e)
        {

        }
        protected void sel(object sender, EventArgs e)
        {
            upload_video.Visible = false;
        }
        protected void unpublish_Click(object sender, EventArgs e)
        {
            string video1 = "Published";
            string video2 = "UnPublished";
            foreach (GridViewRow row in GridView1.Rows)
            {
                if (row.Cells[6].Text == video1)
                {
                    CheckBox chkDelete = (CheckBox)row.FindControl("chkDelete");
                    if (chkDelete.Checked)
                    {
                        var x = row.Cells[4].Text;
                      /*  SqlConnection myConn = new SqlConnection();
                        myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                        myConn.Open();
                        string strqry = "Update MyPlayer SET Publish ='" + video2 + "' WHERE VideoURL LIKE '" + x + "'";
                        SqlCommand myCom = new SqlCommand(strqry, myConn);
                        int numrow = myCom.ExecuteNonQuery();
                        myConn.Close();*/
                        SqlDataSource2.UpdateCommand = "Update MyPlayer SET Publish ='" + video2 + "' WHERE VideoURL LIKE '" + x + "'";
                        SqlDataSource2.Update();

                        GridView1.DataBind();
                    }
                    else
                    {

                    }
                }
            }          
        }
        protected void publish_Click(object sender, EventArgs e)
        {       
            string video1 = "Published";
            string video2 = "UnPublished";
            foreach (GridViewRow row in GridView1.Rows)
            {
                if (row.Cells[6].Text == video2)
                {
                    CheckBox chkDelete = (CheckBox)row.FindControl("chkDelete");
                    if (chkDelete.Checked)
                    {
                        var x = row.Cells[4].Text;
                       /* SqlConnection myConn = new SqlConnection();
                        myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                        myConn.Open();
                        string strqry = "Update MyPlayer SET Publish ='" + video1 + "' WHERE VideoURL LIKE '" + x + "'";
                        SqlCommand myCom = new SqlCommand(strqry, myConn);
                        int numrow = myCom.ExecuteNonQuery();
                        myConn.Close();*/
                       
                        SqlDataSource2.UpdateCommand = "Update MyPlayer SET Publish ='" + video1 + "' WHERE VideoURL LIKE '" + x + "'";
                        SqlDataSource2.Update();

                        GridView1.DataBind();
                    }
                    else
                    {

                    }
                }
            }

        }
        protected void UNpublish_cate_click(object sender, EventArgs e)
        {
            string videocate1 = "Published";
            string videocate2 = "UnPublished";
            foreach (GridViewRow row in GridView2.Rows)
            {
                if (row.Cells[4].Text == videocate1)
                {
                    CheckBox ck_delete = (CheckBox)row.FindControl("ck_delete");
                    if (ck_delete.Checked)
                    {
                        var x = row.Cells[2].Text;
                        /*SqlConnection myConn = new SqlConnection();
                        myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                        myConn.Open();
                        string strqry = "Update MyPlayer SET Publish='" + videocate2 + "' WHERE Category LIKE '" + x + "'";
                        string strqry1 = "Update MyCategory SET Publish='" + videocate2 + "' WHERE Category LIKE '" + x + "'";
                        SqlCommand myCom = new SqlCommand(strqry, myConn);
                        SqlCommand myCom1 = new SqlCommand(strqry1, myConn);
                        int numrow = myCom.ExecuteNonQuery();
                        int numrow1 = myCom1.ExecuteNonQuery();
                        myConn.Close();*/

                        SqlDataSource2.UpdateCommand = "Update MyPlayer SET Publish='" + videocate2 + "' WHERE Category LIKE '" + x + "'";
                        SqlDataSource2.Update();

                        SqlDataSource3.UpdateCommand = "Update MyCategory SET Publish='" + videocate2 + "' WHERE Category LIKE '" + x + "'";
                        SqlDataSource3.Update();

                        GridView2.DataBind();
                        GridView1.DataBind();
                    }
                }
            }

        }
        protected void new_cate_click(object sender, EventArgs e)
        {

            view_cate_table.Visible = false;
            new_cate.Visible = true;
            btn_cate_delete.Visible = false;
            btn_cate_new.Visible = false;
            btn_cate_publish.Visible = false;
            btn_cate_unpublish.Visible = false;
        }
        protected void publish_cate_click(object sender, EventArgs e)
        {  
            string videocate1 = "Published";
            string videocate2 = "UnPublished";
            foreach (GridViewRow row in GridView2.Rows)
            {
                if (row.Cells[4].Text == videocate2)
                {               
                    CheckBox ck_delete = (CheckBox)row.FindControl("ck_delete");
                    if (ck_delete.Checked)
                    { 
                        var x = row.Cells[2].Text;
                     /*   SqlConnection myConn = new SqlConnection();
                        myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                        myConn.Open();
                        string strqry = "Update MyPlayer SET Publish='" + videocate1 + "' WHERE Category LIKE '" + x + "'";
                        string strqry1 = "Update MyCategory SET Publish='" + videocate1 + "' WHERE Category LIKE '" + x + "'";
                        SqlCommand myCom = new SqlCommand(strqry, myConn);
                        SqlCommand myCom1 = new SqlCommand(strqry1, myConn);
                        int numrow = myCom.ExecuteNonQuery();
                        int numrow1 = myCom1.ExecuteNonQuery();
                        myConn.Close();*/
                        SqlDataSource2.UpdateCommand = "Update MyPlayer SET Publish='" + videocate1 + "' WHERE Category LIKE '" + x + "'";
                        SqlDataSource2.Update();

                        SqlDataSource3.UpdateCommand = "Update MyCategory SET Publish='" + videocate1 + "' WHERE Category LIKE '" + x + "'";
                        SqlDataSource3.Update();

                        GridView2.DataBind();
                        GridView1.DataBind();
                    }            
                }
            }
        }
        protected void update_get_click(object sender, EventArgs e)
        {
           /* comb_category.Items.Clear();
            comb_category.AddItem("Uncategorised", "Uncategorised");
            GridView2.DataBind();*/
            foreach (GridViewRow row in GridView2.Rows)
            {
                DnnComboBoxItem abc = new DotNetNuke.Web.UI.WebControls.DnnComboBoxItem();
                abc.Text = row.Cells[2].Text;
                abc.Value = row.Cells[2].Text;
                comb_category.Items.Add(abc);
            }

            var thum = String.Empty;
            var prev = String.Empty;
            var hd = String.Empty;
            var streamer = String.Empty;
            var token = String.Empty;
            var dvr = String.Empty;
            var fn = string.Empty;
            var SaveLocation = string.Empty;
            var feat = String.Empty;
            var fn1 = string.Empty;
            var SaveLocation1 = string.Empty;
            var pub = String.Empty;
            var videourl = String.Empty;
            var title = txt_title.Text;
            var Videotype = comb_vtype.SelectedValue;
            var vtype = String.Empty;
            if (Videotype.Equals("pcvideos"))
            {
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;

                if ((FileUpload2.PostedFile != null) && (FileUpload2.PostedFile.ContentLength > 0))
                {
                    fn = System.IO.Path.GetFileName(FileUpload2.PostedFile.FileName);
                    SaveLocation = Server.MapPath("~/DesktopModules/Admin/HDWPlayer/Video") + "\\" + fn;
                    try
                    {

                        FileUpload2.PostedFile.SaveAs(SaveLocation);

                    }
                    catch (Exception ex)
                    {

                    }
                }
                if ((FileUpload1.PostedFile != null) && (FileUpload1.PostedFile.ContentLength > 0))
                {
                    fn1 = System.IO.Path.GetFileName(FileUpload1.PostedFile.FileName);
                    SaveLocation1 = Server.MapPath("~/DesktopModules/Admin/HDWPlayer/Image") + "\\" + fn1;
                    try
                    {
                        FileUpload1.PostedFile.SaveAs(SaveLocation1);
                    }
                    catch (Exception ex)
                    {

                    }
                }

                videourl = abc + "DesktopModules\\Admin\\HDWPlayer\\Video\\" + fn;
                vtype = "video";
                thum = abc + "DesktopModules\\Admin\\HDWPlayer\\Image\\" + fn1;
                prev = abc + "DesktopModules\\Admin\\HDWPlayer\\Image\\" + fn1;
                hd = "";
                dvr = "";
                streamer = "";
                token = "";

            }
            else if (Videotype.Equals("youtube"))
            {
                videourl = txt_youtube.Text;
                vtype = "youtube";
                string a = txt_youtube.Text;
                a = a.Substring(a.Length - 11);
                thum = "http://img.youtube.com/vi/" + a + "/0.jpg";
                prev = "http://img.youtube.com/vi/" + a + "/0.jpg";
                hd = "";
                dvr = "";
                streamer = "";
                token = "";
            }
            else if (Videotype.Equals("videos"))
            {
                videourl = txt_online.Text;
                vtype = "video";
                thum = txt_thumb.Text;
                prev = txt_preview.Text;
                hd = txt_hd.Text;
                dvr = "";
                streamer = "";
                token = "";
            }
            else if (Videotype.Equals("dailymotion"))
            {
                videourl = txt_dailymotion.Text;
                vtype = "dailymotion";
                string a = videourl.Replace("http://www.dailymotion.com/", "http://www.dailymotion.com/thumbnail/");
                thum = a;
                prev = a;
                hd = "";
                dvr = "";
                streamer = "";
                token = "";
            }
            else if (Videotype.Equals("RTMPStreams"))
            {
                videourl = txt_rtmp.Text;
                vtype = "rtmp";
                thum = txt_thumb.Text;
                prev = txt_preview.Text;
                hd = "";
                dvr = "";
                streamer = txt_streamer.Text;
                token = txt_token.Text;
            }
            else if (Videotype.Equals("SMIL"))
            {
                videourl = txt_smil.Text;
                vtype = "highwinds";
                thum = txt_thumb.Text;
                prev = txt_preview.Text;
                hd = "";
                dvr = "";
                streamer = "";
                token = "";
            }
            else if (Videotype.Equals("LighttpdVideos"))
            {
                videourl = txt_lightpd.Text;
                vtype = "lighttpd";
                thum = txt_thumb.Text;
                prev = txt_preview.Text;
                hd = txt_hd.Text;
                dvr = "";
                streamer = "";
                token = "";
            }
            else if (Videotype.Equals("BitGravityVideo"))
            {
                videourl = txt_bitgvideo.Text;
                vtype = "bitgravity";
                thum = txt_thumb.Text;
                prev = txt_preview.Text;
                hd = txt_hd.Text;
                if (ck_dvr.Checked == true) { dvr = "true"; } else { dvr = "false"; }
                streamer = "";
                token = "";
            }

            var videocate = comb_category.SelectedValue;
            if (chk_featured.Checked == true)
            {
                feat = "Yes";
            }
            else
            {
                feat = "No";
            }

            if (chk_publish.Checked == true)
            {
                pub = "Published";
            }
            else
            {
                pub = "UnPublished";
            }


            var description = txt_description.Text;
            var position = txt_position.Text;
            var users = String.Empty;
            var views = String.Empty;

            SqlDataSource2.UpdateCommand = "UPDATE [MyPlayer] SET [Title] = @Title, [VideoType] = @VideoType, [VideoList] = @VideoList, [VideoURL] = @VideoURL, [Category] = @Category, [Publish] = @Publish, [Description] = @Description, [users] = @users, [thumb] = @thumb, [preview] = @preview, [hd] = @hd, [stream] = @stream, [token] = @token, [dvr] = @dvr WHERE [SINO] = @SINO";
            SqlDataSource2.UpdateParameters["Title"].DefaultValue = txt_title.Text;
            SqlDataSource2.UpdateParameters["VideoType"].DefaultValue = vtype;
            SqlDataSource2.UpdateParameters["VideoList"].DefaultValue = Videotype;
            SqlDataSource2.UpdateParameters["VideoURL"].DefaultValue = videourl;
            SqlDataSource2.UpdateParameters["Category"].DefaultValue = videocate;
            SqlDataSource2.UpdateParameters["Publish"].DefaultValue = pub;
            SqlDataSource2.UpdateParameters["Description"].DefaultValue = description;
            SqlDataSource2.UpdateParameters["users"].DefaultValue = "admin";
            SqlDataSource2.UpdateParameters["thumb"].DefaultValue = thum;
            SqlDataSource2.UpdateParameters["preview"].DefaultValue = prev;
            SqlDataSource2.UpdateParameters["hd"].DefaultValue = hd;
            SqlDataSource2.UpdateParameters["stream"].DefaultValue = streamer;
            SqlDataSource2.UpdateParameters["token"].DefaultValue = token;
            SqlDataSource2.UpdateParameters["dvr"].DefaultValue = dvr;
            SqlDataSource2.UpdateParameters["SINO"].DefaultValue = sino.Text;
            SqlDataSource2.Update();
            txt_title.Text = "";
            txt_youtube.Text = "";
            txt_online.Text = "";
            txt_rtmp.Text = "";
            txt_bitgvideo.Text = "";
            txt_lightpd.Text = "";
            txt_dailymotion.Text = "";
            txt_smil.Text = "";
            txt_description.Text = "";

            View_Table.Visible = true;
            upload_video.Visible = false;
            btn_upload.Visible = true;
            btn_delete.Visible = true;
            btn_publish.Visible = true;
            btn_save.Visible = false;
            btn_unpublish.Visible = true;
            btn_cancel.Visible = false;
            btn_update.Visible = false;
            GridView1.EditIndex = -1;
            GridView1.DataBind();
        }
        protected void delete_cate_click(object sender, EventArgs e)
        {        
            foreach (GridViewRow row in GridView2.Rows)
            {
                if (row.Cells[4].Text == "UnPublished")
                {
                    CheckBox ck_delete = (CheckBox)row.FindControl("ck_delete");
                    if (ck_delete.Checked)
                    {
                        foreach (GridViewRow rows in GridView1.Rows)
                        {
                            if (rows.Cells[5].Text == row.Cells[2].Text)
                            {
                                int usrids = Convert.ToInt32(GridView1.DataKeys[rows.RowIndex].Value);
                                SqlDataSource2.UpdateCommand = "UPDATE [MyPlayer] SET [Category] = @Category WHERE [SINO] = @SINO";
                                SqlDataSource2.UpdateParameters["Category"].DefaultValue = "Uncategorised";
                                SqlDataSource2.UpdateParameters["SINO"].DefaultValue = usrids.ToString();
                                SqlDataSource2.Update();

                                var x = row.Cells[2].Text;
                               /* SqlConnection myConn = new SqlConnection();
                                myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                                myConn.Open();
                                string strqry = "Delete from MyGallery WHERE Category LIKE '" + x + "'";                              
                                SqlCommand myCom = new SqlCommand(strqry, myConn);                             
                                int numrow = myCom.ExecuteNonQuery();                              
                                myConn.Close();*/


                                SqlDataSource5.DeleteCommand = "Delete from MyGallery WHERE Category LIKE '" + x + "'";
                                SqlDataSource5.Delete();
                                GridView2.DataBind();
                                GridView3.DataBind();
                           }
                        }
                        int usrid = Convert.ToInt32(GridView2.DataKeys[row.RowIndex].Value);
                        SqlDataSource3.DeleteParameters["SiNo"].DefaultValue = usrid.ToString();
                        SqlDataSource3.Delete();
                        GridView3.DataBind();
                    }
                }
                else
                {
                    ScriptManager.RegisterClientScriptBlock(Page, typeof(Page), "ClientScript", "alert('Select UnPublished Category for Delete')", true);
                }
               
            }
            view_cate_table.Visible = true;
            new_cate.Visible = false;
            btn_cate_delete.Visible = true;
            btn_cate_new.Visible = true;
            btn_cate_publish.Visible = true;
            btn_cate_unpublish.Visible = true;
        }
        protected void reset_cate_Click(object sender, EventArgs e)
        {
            string x = "";
            SqlDataSource3.SelectCommand = "SELECT * FROM [MyCategory] WHERE [Category] LIKE '%" + x + "%'";
            SqlDataSource3.DataBind();
            txt_search.Text = "";
        }
        protected void go_cate_Click(object sender, EventArgs e)
        {
            string x = txt_search.Text;
            SqlDataSource3.SelectCommand = "SELECT * FROM [MyCategory] WHERE [Category] LIKE '%" + x + "%'";
            SqlDataSource3.DataBind();
        }
        protected void canel_click(object sender, EventArgs e)
        {
            View_Table.Visible = true;
            btn_upload.Visible = true;
            btn_delete.Visible = true;
            btn_publish.Visible = true;
            btn_unpublish.Visible = true;
            upload_video.Visible = false;
            btn_save.Visible = false;
            btn_cancel.Visible = false;
            btn_update.Visible = false;
            txt_title.Text = "";
            txt_youtube.Text = "";
            txt_online.Text = "";
            txt_rtmp.Text = "";
            txt_bitgvideo.Text = "";
            txt_lightpd.Text = "";
            txt_dailymotion.Text = "";
            txt_smil.Text = "";
            txt_description.Text = "";
        }
        protected void iam_Click(object sender, EventArgs e)
        {

            if ((FileUpload2.PostedFile != null) && (FileUpload2.PostedFile.ContentLength > 0))
            {
                string fn = System.IO.Path.GetFileName(FileUpload2.PostedFile.FileName);
                string SaveLocation = Server.MapPath("~/DesktopModules/Admin/HDWPlayer/Video") + "\\" + fn;
                try
                {
                    FileUpload2.PostedFile.SaveAs(SaveLocation);

                }
                catch (Exception ex)
                {

                }
            }


        }
        protected void cancel_cate_click(object sender, EventArgs e)
        {
            new_cate.Visible = false;
            view_cate_table.Visible = true;
            btn_cate_delete.Visible = true;
            btn_cate_new.Visible = true;
            btn_cate_publish.Visible = true;
            btn_cate_unpublish.Visible = true;
        }
        protected void save_cate_click(object sender, EventArgs e)
        {
            if (txt_catename.Text != "")
            {
                var filenames = txt_imgcate.Text;
                var cate_pub = String.Empty;
                var cate_name = txt_catename.Text;
                SqlDataSource3.InsertParameters["Category"].DefaultValue = cate_name;
                SqlDataSource3.InsertParameters["Image"].DefaultValue = filenames;
                SqlDataSource3.InsertParameters["Publish"].DefaultValue = "UnPublished";
                SqlDataSource3.InsertParameters["Gallery"].DefaultValue = "UnPublished";
                SqlDataSource3.Insert();
                view_cate_table.Visible = true;
                new_cate.Visible = false;
                btn_cate_delete.Visible = true;
                btn_cate_new.Visible = true;
                btn_cate_publish.Visible = true;
                btn_cate_unpublish.Visible = true;
                GridView3.DataBind();
                txt_catename.Text = "";
                txt_imgcate.Text = "";
                
            }
            else
            {
                ScriptManager.RegisterClientScriptBlock(Page, typeof(Page), "ClientScript", "alert('Enter the Category name')", true);
                txt_catename.Focus();
            }

            SqlDataSource4.DataBind();
        }
        protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
        {
            var Videotype = comb_vtype.SelectedValue;
            if (Videotype.Equals("pcvideos"))
            {
                pc_video.Visible = true;
                pc_image.Visible = true;
                you_video.Visible = false;
                onl_video.Visible = false;
                dmv_video.Visible = false;
                rtm_video.Visible = false;
                smil_video.Visible = false;
                lig_video.Visible = false;
                bit_video.Visible = false;
                s_dvr.Visible = false;
                s_token.Visible = false;
                s_streamer.Visible = false;
                s_hd.Visible = false;
                thumbs.Visible = false;
                preview.Visible = false;
            }
            else if (Videotype.Equals("youtube"))
            {
                pc_video.Visible = false;
                pc_image.Visible = false;
                you_video.Visible = true;
                onl_video.Visible = false;
                dmv_video.Visible = false;
                rtm_video.Visible = false;
                smil_video.Visible = false;
                lig_video.Visible = false;
                bit_video.Visible = false;
                thumbs.Visible = false;
                preview.Visible = false;
                s_dvr.Visible = false;
                s_token.Visible = false;
                s_streamer.Visible = false;
                s_hd.Visible = false;

            }
            else if (Videotype.Equals("videos"))
            {
                pc_video.Visible = false;
                pc_image.Visible = false;
                you_video.Visible = false;
                onl_video.Visible = true;
                dmv_video.Visible = false;
                rtm_video.Visible = false;
                smil_video.Visible = false;
                lig_video.Visible = false;
                bit_video.Visible = false;
                thumbs.Visible = true;
                preview.Visible = true;
                s_dvr.Visible = false;
                s_token.Visible = false;
                s_streamer.Visible = false;
                s_hd.Visible = true;
            }
            else if (Videotype.Equals("dailymotion"))
            {
                pc_video.Visible = false;
                pc_image.Visible = false;
                you_video.Visible = false;
                onl_video.Visible = false;
                dmv_video.Visible = true;
                rtm_video.Visible = false;
                smil_video.Visible = false;
                lig_video.Visible = false;
                bit_video.Visible = false;
                thumbs.Visible = false;
                preview.Visible = false;
                s_dvr.Visible = false;
                s_token.Visible = false;
                s_streamer.Visible = false;
                s_hd.Visible = false;
            }
            else if (Videotype.Equals("RTMPStreams"))
            {
                pc_video.Visible = false;
                pc_image.Visible = false;
                you_video.Visible = false;
                onl_video.Visible = false;
                dmv_video.Visible = false;
                rtm_video.Visible = true;
                smil_video.Visible = false;
                lig_video.Visible = false;
                bit_video.Visible = false;
                thumbs.Visible = true;
                preview.Visible = true;
                s_dvr.Visible = false;
                s_token.Visible = true;
                s_streamer.Visible = true;
                s_hd.Visible = false;
            }
            else if (Videotype.Equals("SMIL"))
            {
                pc_video.Visible = false;
                pc_image.Visible = false;
                you_video.Visible = false;
                onl_video.Visible = false;
                dmv_video.Visible = false;
                rtm_video.Visible = false;
                smil_video.Visible = true;
                lig_video.Visible = false;
                bit_video.Visible = false;
                thumbs.Visible = true;
                preview.Visible = true;
                s_dvr.Visible = false;
                s_token.Visible = false;
                s_streamer.Visible = false;
                s_hd.Visible = false;
            }
            else if (Videotype.Equals("LighttpdVideos"))
            {
                pc_video.Visible = false;
                pc_image.Visible = false;
                you_video.Visible = false;
                onl_video.Visible = false;
                dmv_video.Visible = false;
                rtm_video.Visible = false;
                smil_video.Visible = false;
                lig_video.Visible = true;
                bit_video.Visible = false;
                thumbs.Visible = true;
                preview.Visible = true;
                s_dvr.Visible = false;
                s_token.Visible = false;
                s_streamer.Visible = false;
                s_hd.Visible = true;
            }
            else if (Videotype.Equals("BitGravityVideo"))
            {
                pc_video.Visible = false;
                pc_image.Visible = false;
                you_video.Visible = false;
                onl_video.Visible = false;
                dmv_video.Visible = false;
                rtm_video.Visible = false;
                smil_video.Visible = false;
                lig_video.Visible = false;
                bit_video.Visible = true;
                thumbs.Visible = true;
                preview.Visible = true;
                s_dvr.Visible = true;
                s_token.Visible = false;
                s_streamer.Visible = false;
                s_hd.Visible = true;
            }
        }
        protected void Page_Load(object sender, EventArgs e)
        {
           

        }
        protected void addgallery_click(object sender, EventArgs e)
        {
            string galleryurl = "Published";
            string galleryurl1 = "UnPublished";
            foreach (GridViewRow row in GridView3.Rows)
            {
                if (row.Cells[4].Text == galleryurl1)
                {
                    CheckBox chk_gallery = (CheckBox)row.FindControl("chk_gallery");
                    if (chk_gallery.Checked)
                    {
                        var x = row.Cells[2].Text;    
                        
                        SqlDataSource5.InsertCommand="Insert into MyGallery (Title,VideoType,VideoURL,thumb,preview,hd,stream,token,dvr,Category) Select Title,VideoType,VideoURL,thumb,preview,hd,stream,token,dvr,Category From MyPlayer WHERE Category LIKE '" + x + "'";
                        SqlDataSource5.Insert();
                        SqlDataSource3.UpdateCommand = "Update MyCategory SET Gallery='" + galleryurl + "' WHERE Category LIKE '" + x + "'";
                        SqlDataSource3.Update();
                        
                       /* SqlConnection myConn = new SqlConnection();
                        myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                        myConn.Open();
                        string strqry = "Insert into MyGallery (Title,VideoType,VideoURL,thumb,preview,hd,stream,token,dvr,Category) Select Title,VideoType,VideoURL,thumb,preview,hd,stream,token,dvr,Category From MyPlayer WHERE Category LIKE '" + x + "'";
                        string strqry1 = "Update MyCategory SET Gallery='" + galleryurl + "' WHERE Category LIKE '" + x + "'";
                        SqlCommand myCom = new SqlCommand(strqry, myConn);
                        SqlCommand myCom1 = new SqlCommand(strqry1, myConn);
                        int numrow = myCom.ExecuteNonQuery();
                        int numrow1 = myCom1.ExecuteNonQuery();
                        myConn.Close();*/


                        GridView3.DataBind();
                    }
                    else
                    {
                        
                    }
                }
            }

        }
        protected void removegallery_click(object sender, EventArgs e)
        {
            String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
            string galleryurl = "UnPublished";
            string galleryurl1 = "Published";
            foreach (GridViewRow row in GridView3.Rows)
            {
                if (row.Cells[4].Text == galleryurl1)
                {
                    CheckBox chk_gallery = (CheckBox)row.FindControl("chk_gallery");
                    if (chk_gallery.Checked)
                    {
                        var x = row.Cells[2].Text;
                        /*SqlConnection myConn = new SqlConnection();
                        myConn.ConnectionString = "Data Source=.\\SQLExpress;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;User Instance=True";
                        myConn.Open();
                        string strqry = "Delete from MyGallery WHERE Category LIKE '" + x + "'";
                        string strqry1 = "Update MyCategory SET Gallery='" + galleryurl + "' WHERE Category LIKE '" + x + "'";
                        SqlCommand myCom = new SqlCommand(strqry, myConn);
                        SqlCommand myCom1 = new SqlCommand(strqry1, myConn);
                        int numrow = myCom.ExecuteNonQuery();
                        int numrow1 = myCom1.ExecuteNonQuery();
                        myConn.Close();*/
                               
                        SqlDataSource5.DeleteCommand = "Delete from MyGallery WHERE Category LIKE '" + x + "'";
                        SqlDataSource5.Delete();

                        SqlDataSource3.UpdateCommand = "Update MyCategory SET Gallery='" + galleryurl + "' WHERE Category LIKE '" + x + "'";
                        SqlDataSource3.Update();

                        GridView3.DataBind();
                    }
                }
            }

        }
        private void SetDefaultView()
        {
            MultiView1.ActiveViewIndex = 0;
        }
        protected void lnkTab1_Click(object sender, EventArgs e)
        {
            MultiView1.ActiveViewIndex = 0;
            lnkTab1.ForeColor = System.Drawing.Color.Crimson;
            lnkTab2.ForeColor = System.Drawing.Color.Black;
            lnkTab3.ForeColor = System.Drawing.Color.Black;
            lnkTab4.ForeColor = System.Drawing.Color.Black;
            lnkTab5.ForeColor = System.Drawing.Color.Black;
        }
        protected void lnkTab2_Click(object sender, EventArgs e)
        {
            MultiView1.ActiveViewIndex = 1;
            lnkTab1.ForeColor = System.Drawing.Color.Black;
            lnkTab2.ForeColor = System.Drawing.Color.Crimson;
            lnkTab3.ForeColor = System.Drawing.Color.Black;
            lnkTab4.ForeColor = System.Drawing.Color.Black;
            lnkTab5.ForeColor = System.Drawing.Color.Black;
        }
        protected void lnkTab3_Click(object sender, EventArgs e)
        {
            MultiView1.ActiveViewIndex = 2;
            lnkTab1.ForeColor = System.Drawing.Color.Black;
            lnkTab2.ForeColor = System.Drawing.Color.Black;
            lnkTab3.ForeColor = System.Drawing.Color.Crimson;
            lnkTab4.ForeColor = System.Drawing.Color.Black;
            lnkTab5.ForeColor = System.Drawing.Color.Black;
        }
        protected void lnkTab4_Click(object sender, EventArgs e)
        {
            MultiView1.ActiveViewIndex = 3;
            lnkTab1.ForeColor = System.Drawing.Color.Black;
            lnkTab2.ForeColor = System.Drawing.Color.Black;
            lnkTab3.ForeColor = System.Drawing.Color.Black;
            lnkTab4.ForeColor = System.Drawing.Color.Crimson;
            lnkTab5.ForeColor = System.Drawing.Color.Black;
        }
        protected void lnkTab5_Click(object sender, EventArgs e)
        {
            MultiView1.ActiveViewIndex = 4;
            lnkTab1.ForeColor = System.Drawing.Color.Black;
            lnkTab2.ForeColor = System.Drawing.Color.Black;
            lnkTab3.ForeColor = System.Drawing.Color.Black;
            lnkTab4.ForeColor = System.Drawing.Color.Black;
            lnkTab5.ForeColor = System.Drawing.Color.Crimson;
        }
    }
}