﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Reflection;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

using DotNetNuke;
using DotNetNuke.Common.Utilities;
using DotNetNuke.Entities.Modules;
using DotNetNuke.Entities.Modules.Actions;
using DotNetNuke.Security;
using DotNetNuke.Services.Exceptions;
using DotNetNuke.Services.Localization;
using System.IO;
using DesktopModules.Admin.HDWPlayer;
using System.Web;
using System.Xml;

namespace DesktopModules.Admin.HDWPlayer
{

    partial class View : PortalModuleBase
    {
        public int getx = 0;
        public int nst = 0;
        public int nen = 12;
        public String gallery = String.Empty;
        public String nurl = String.Empty;
        public String ourl = String.Empty;
        public String murl = String.Empty;
        public String width = String.Empty;
        public String height = String.Empty;
        public String skinm = String.Empty;
        public String stretchm = String.Empty;
        public String bufferm = String.Empty;
        public String volumem = String.Empty;
        public String playlism = String.Empty;
        public String playlapm = String.Empty;
        public String playlobdm = String.Empty;
        public String randomplm = String.Empty;
        public String autos = String.Empty;
        public String logote = String.Empty;
        public String logoposis = String.Empty;
        public String logoalph = String.Empty;
        public String licence1 = String.Empty;
        public String logotarget1 = String.Empty;
        public String myadd = String.Empty;
        public String st = "0";
        public String en = "12";
      
        protected void Page_Load(System.Object sender, System.EventArgs e)
        {
            if (!Page.IsPostBack) {
                Session["currentpage"] = 0;
                Session["start"] = 0;
                Session["end"] = 12;
            }
          var paneName = ModuleContext.Configuration.TabModuleID;
          if (File.Exists(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + ".xml")))
          {
              String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
              width = Settings["Width"].ToString();
              height = Settings["Height"].ToString();
              skinm = Settings["skinmode"].ToString();
              stretchm = Settings["stretch"].ToString();
              bufferm = Settings["buffer"].ToString();
              volumem = Settings["volume"].ToString();
              playlism = Settings["playlis"].ToString();
              playlapm = Settings["playlap"].ToString();
              playlobdm = Settings["playlobd"].ToString();
              randomplm = Settings["randompl"].ToString();
              autos = Settings["autoplay"].ToString();
              logote = Settings["logo_text"].ToString();
              logoposis = Settings["logo_pos"].ToString();
              logoalph = Settings["logo_alpha"].ToString();
              licence1 = Settings["licences"].ToString();
              logotarget1 = Settings["logotarget"].ToString();
              gallery = Settings["gallery"].ToString();
              nurl = Settings["skinfile"].ToString();
              murl = Settings["playfile"].ToString();
              ourl = abc + "/DesktopModules/Admin/HDWPlayer/player.swf";
              if (gallery == "true")
              {
                  galeryx.Visible = true;
              }
              else
              {
                  galeryx.Visible = false;
              }
              

          }
          sel(st, en);
          Page.ClientScript.RegisterOnSubmitStatement(typeof(Page), "closePage", "window.onunload = CloseWindow();");
          int x = GridView1.Rows.Count;
          if (x != 12)
          {
              ImageButton13.Visible = false;
          }
        }
        protected void image1_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label1.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[0].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[0].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[0].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[0].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[0].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[0].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[0].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[0].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[0].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";                    
            }
        }
        protected void image2_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label2.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[1].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[1].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[1].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[1].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[1].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[1].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[1].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[1].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[1].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image3_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label3.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[2].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[2].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[2].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[2].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[2].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[2].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[2].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[2].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[2].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image4_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label4.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[3].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[3].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[3].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[3].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[3].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[3].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[3].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[3].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[3].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image5_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label5.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[4].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[4].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[4].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[4].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[4].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[4].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[4].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[4].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[4].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image6_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label6.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[5].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[5].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[5].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[5].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[5].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[5].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[5].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[5].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[5].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image7_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label7.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[6].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[6].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[6].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[6].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[6].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[6].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[6].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[6].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[6].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image8_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label8.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[7].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[7].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[7].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[7].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[7].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[7].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[7].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[7].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[7].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image9_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label9.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[8].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[8].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[8].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[8].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[8].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[8].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[8].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[8].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[8].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image10_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label10.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[9].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[9].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[9].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[9].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[9].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[9].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[9].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[9].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[9].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image11_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label11.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[10].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[10].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[10].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[10].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[10].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[10].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[10].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[10].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[10].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }
        protected void image12_Click(object sender, EventArgs e)
        {
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            if (Label12.Text != "")
            {
                var paneName = ModuleContext.Configuration.TabModuleID;
                XmlDocument xdocoo = new XmlDocument();
                XmlNode Root = xdocoo.AppendChild(xdocoo.CreateElement("playlist"));
                xdocoo.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));

                XmlDocument xdocgg = new XmlDocument();
                xdocgg.Load(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                foreach (XmlNode xNode in xdocgg.SelectNodes("playlist"))
                {
                    XmlElement newElement = xdocgg.CreateElement("media");
                    XmlElement a = xdocgg.CreateElement("type");
                    a.InnerText = GridView1.Rows[11].Cells[1].Text;
                    newElement.AppendChild(a);
                    XmlElement b = xdocgg.CreateElement("video");
                    b.InnerText = GridView1.Rows[11].Cells[2].Text;
                    newElement.AppendChild(b);
                    XmlElement c = xdocgg.CreateElement("title");
                    c.InnerText = GridView1.Rows[11].Cells[0].Text;
                    newElement.AppendChild(c);
                    XmlElement d = xdocgg.CreateElement("thumb");
                    d.InnerText = GridView1.Rows[11].Cells[3].Text;
                    newElement.AppendChild(d);
                    XmlElement f = xdocgg.CreateElement("preview");
                    f.InnerText = GridView1.Rows[11].Cells[4].Text;
                    newElement.AppendChild(f);
                    xNode.AppendChild(newElement);
                    XmlElement g = xdocgg.CreateElement("hd");
                    g.InnerText = GridView1.Rows[11].Cells[5].Text;
                    newElement.AppendChild(g);
                    xNode.AppendChild(newElement);
                    XmlElement h = xdocgg.CreateElement("streamer");
                    h.InnerText = GridView1.Rows[11].Cells[6].Text;
                    newElement.AppendChild(h);
                    xNode.AppendChild(newElement);
                    XmlElement i = xdocgg.CreateElement("token");
                    i.InnerText = GridView1.Rows[11].Cells[7].Text;
                    newElement.AppendChild(i);
                    xNode.AppendChild(newElement);
                    XmlElement j = xdocgg.CreateElement("dvr");
                    j.InnerText = GridView1.Rows[11].Cells[8].Text;
                    newElement.AppendChild(j);
                    xNode.AppendChild(newElement);
                    xdocgg.Save(Server.MapPath("~/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml"));
                }
                String abc = Request.Url.GetLeftPart(UriPartial.Authority) + Request.ApplicationPath;
                murl = abc + "/DesktopModules/Admin/HDWPlayer/xml/playlist" + paneName + "1.xml";
            }
        }

        protected void ImageButton13_Click(object sender, ImageClickEventArgs e)
        {
            Session["start"] = (int)Session["start"] + 13;
            Session["end"] = (int)Session["end"] + 12;
            SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
            SqlDataSource1.DataBind();
            GridView1.DataBind();
            ImageButton[] hdw = { ImageButton1, ImageButton2, ImageButton3, ImageButton4, ImageButton5, ImageButton6, ImageButton7, ImageButton8, ImageButton9, ImageButton10, ImageButton11, ImageButton12 };
            Label[] hdwlabel = { Label1, Label2, Label3, Label4, Label5, Label6, Label7, Label8, Label9, Label10, Label11, Label12 };
            int x = GridView1.Rows.Count;
            for (int i = 0; i < x; i++)
            {
                hdw[i].ImageUrl = GridView1.Rows[i].Cells[4].Text;
                hdwlabel[i].Text = GridView1.Rows[i].Cells[0].Text;
            }
            for (int i = x; i < 12; i++)
            {
                hdw[i].ImageUrl = "";
                hdwlabel[i].Text = "";
            }
            if (x != 12)
            {
                ImageButton13.Visible = false;
            }
            
        }
        protected void sel(String st, String en)
        {
          //  if (Session["chk_sess"] != "one")
           // {
               // ScriptManager.RegisterClientScriptBlock(Page, typeof(Page), "ClientScript", "alert('Summa')", true);
                Session["chk_sess"] = "one";
                Session["gal_page"] = getx;
                SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
                SqlDataSource1.DataBind();
                GridView1.DataBind();
                ImageButton[] hdw = { ImageButton1, ImageButton2, ImageButton3, ImageButton4, ImageButton5, ImageButton6, ImageButton7, ImageButton8, ImageButton9, ImageButton10, ImageButton11, ImageButton12 };
                Label[] hdwlabel = { Label1, Label2, Label3, Label4, Label5, Label6, Label7, Label8, Label9, Label10, Label11, Label12 };
                int x = GridView1.Rows.Count;
                for (int i = 0; i < x; i++)
                {
                    hdw[i].ImageUrl = GridView1.Rows[i].Cells[4].Text;
                    hdwlabel[i].Text = GridView1.Rows[i].Cells[0].Text;
                }
                for (int i = x; i < 12; i++)
                {
                    hdw[i].ImageUrl = "";
                    hdwlabel[i].Text = "";

                }
           // }
        }
        protected void MyWindow_Closing(object sender, EventArgs e)
        {
            Settings.Remove("start");
            Settings.Remove("end");
        }
        protected void ImageButton14_Click(object sender, ImageClickEventArgs e)
        {
            ImageButton13.Visible = true;
            if ((int)Session["start"] > 0)
            {
                Session["start"] = (int)Session["start"] - 13;
                Session["end"] = (int)Session["end"] - 12;
                Session["currentpage"] = (int)Session["currentpage"] - 1;
                SqlDataSource1.SelectCommand = "WITH NumberedMyTable AS(SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] , ROW_NUMBER() OVER (ORDER BY SINO) AS RowNumber FROM MyGallery)SELECT [Title], [VideoType], [VideoURL], [thumb], [preview], [hd], [stream], [token], [dvr] FROM NumberedMyTable WHERE RowNumber BETWEEN " + Session["start"].ToString() + " AND " + Session["end"].ToString() + "";
                SqlDataSource1.DataBind();
                GridView1.DataBind();
                ImageButton[] hdw = { ImageButton1, ImageButton2, ImageButton3, ImageButton4, ImageButton5, ImageButton6, ImageButton7, ImageButton8, ImageButton9, ImageButton10, ImageButton11, ImageButton12 };
                Label[] hdwlabel = { Label1, Label2, Label3, Label4, Label5, Label6, Label7, Label8, Label9, Label10, Label11, Label12 };
                int x = GridView1.Rows.Count;
                for (int i = 0; i < x; i++)
                {
                    hdw[i].ImageUrl = GridView1.Rows[i].Cells[4].Text;
                    hdwlabel[i].Text = GridView1.Rows[i].Cells[0].Text;
                }
                for (int i = x; i < 12; i++)
                {
                    hdw[i].ImageUrl = null;
                    hdwlabel[i].Text = "";
                }
            }
            else
            {
                //ScriptManager.RegisterClientScriptBlock(Page, typeof(Page), "ClientScript", "alert('Anga yenda pora munna poda')", true);
            }
            
        }
      
}     
}